#pragma once

#include <string>

namespace game::util
{
  class Clipboard
  {
    std::string text{};
    bool isCut{};

  public:
    void copy(const std::string&);
    void cut(const std::string&);
    void clear();
    const char* get() const;
    bool cut_get() const;
  };
}
